#!/usr/bin/perl -w

use strict;

if ($#ARGV != -1){
  print "\nUsage: $0\n\n";
  exit 1;
};

my @my_field;
my $start_of_file= 1;
my $i;
my $first_line;

while (<stdin>){
	$first_line = $_;
	if( $start_of_file ){
		$start_of_file= 0;
		while( $first_line =~ /[a-zA-Z0-9_]+\: / ){
			$first_line= $';
			print "$`;" if $& =~ /\: $/;
		}
		print "\n";
	}
	@my_field=split( /[a-zA-Z0-9_]+\: /, $_ );
	for( $i = 0; $i <= $#my_field; $i++){
		print "$my_field[$i]";
	}
}
