#!/bin/bash

Usage() 
{
	echo "Usage $0 [-convert|-noconvert] input_file student_info_file predmet_info_file" >& 2;
	exit 1
}

[ $# -eq 4 ] || Usage

if [[ "$1" = "-convert" ]] 
then 
	cat "$2" | ./remove_bad_chars.sh | ./convert_encoding.sh | ./_parse_znamky.pl | ./split_stud_pred.sh temp_"$3" temp_"$4"
	cat temp_"$3" | ./choose_columns.pl > "$3"
	cat temp_"$4" | ./choose_columns.pl > "$4"
	rm temp_"$3"
	rm temp_"$4"
	exit 0
fi

if [[ "$1" = "-noconvert" ]] 
then
	cat "$2" | ./remove_bad_chars.sh | ./_parse_znamky.pl | ./split_stud_pred.sh temp_"$3" temp_"$4"
	cat temp_"$3" | ./choose_columns.pl > "$3"
	cat temp_"$4" | ./choose_columns.pl > "$4"
	rm temp_"$3"
	rm temp_"$4"
	exit 0
fi

Usage
