#!/bin/bash

Usage ()
{
	echo "Usage: $0 odbor_file predmet_file" >& 2;
	exit 1
}

[ $# -eq 2 ] || Usage

>"$1"
>"$2"

awk '
# ak pride odbor_info, zapisujeme do suboru 1\
/odbor_info/\
{\
	split ($0, odbor_info, /odbor_info: /);\
	gsub( /\*/, ";", odbor_info[2] );\
	sub( /\;$/, "", odbor_info[2] );\
	print odbor_info[2] >> "'"$1"'";\
}\
# ak pride predmet_full_info, zapisujeme do suboru 2\
/predmet_full_info/\
{\
	split ($0, predmet_full_info, /predmet_full_info: /);\
	gsub( /\*/, ";", predmet_full_info[2] );\
	sub( /\;$/, "", predmet_full_info[2] );\
	print predmet_full_info[2] >> "'"$2"'";\
}'
