#!/bin/bash

Usage ()
{
	echo "Usage: $0 student_info_file predmet_info_file" >& 2;
	exit 1
}

[ $# -eq 2 ] || Usage

>"$1"
>"$2"

#awk '/student_info/ { split ($0, student_info, /student_info: /); print >> "'"$1"'" } /predmet_info/ { print >> "'"$2"'" }'
#awk 'BEGIN { ORS=";" } /student_info/ { split ($0, student_info, /student_info: /); gsub( /(\*)/, "", student_info[2]); print student_info[2] >> "'"$1"'" } /predmet_info/ { split ($0, predmet_info, /predmet_info: /); gsub( /(\*)/, ";", predmet_info[2]); print predmet_info[2] >> "'"$2"'" } /ziskane_kredity: / { ORS=""; print "\n" >> "'"$1"'"; ORS=";"} /datum_vykonania: / {ORS=""; print "\n" >> "'"$2"'"; ORS=";"}'
awk '
# ak pride years, oddelujeme znakom ;, lebo je to zaciatok zaznamu o studentovi
/years: / { ORS=";"}\
\
# ak pride ziskane_kredity, oddelujeme znakom \n, lebo je to koniec zaznamu o studentovi
/ziskane_kredity: / { ORS="\n";}\
\
# ak ide o student_info, zapisujeme do suboru 1
/student_info/\
{\
	split ($0, student_info, /student_info: /);\
	gsub( /(\*)/, "", student_info[2]);\
	print student_info[2] >> "'"$1"'";\
}\
\
# ak ide o predmet_info, zapisujeme do suboru 2
# predtym vsak odlozime ORS, odstranime ; z konca riadku
/predmet_info/\
{\
	tmp_ORS=ORS;\
	ORS="\n";\
	split ($0, predmet_info, /predmet_info: /);\
	gsub( /(\*)/, ";", predmet_info[2]);\
	sub( /\;$/, "", predmet_info[2]);\
	print predmet_info[2] >> "'"$2"'";\
	ORS=tmp_ORS;\
}\
'
